# Get loan labels

Endpoint: GET /companies/{companyId}/loan-labels
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `companyId` (string, required)
    The unique company identifier.

## Query parameters:

  - `createdBefore` (string)
    Returns loan labels created before a specific timestamp. If used in conjunction with `createdAfter`,
a time range can be created to return labels created between two timestamps.

  - `createdAfter` (string)
    Returns loan labels created before a specific timestamp. If used in conjunction with `createdBefore`,
a time range can be created to return labels created between two timestamps.

  - `loanId` (string)
    Filter by Loan's unique identifier. Can be Peach or lender's external identifier.

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of items returned by the current request.

  - `nextUrl` (string)
    URL of the next set of results.

  - `previousUrl` (string)
    URL of the previous set of results.

  - `status` (integer)
    HTTP status code.

  - `total` (integer)
    Total number of items in this result.

  - `data` (array)

  - `data.companyId` (string)
    The unique company identifier.

  - `data.description` (string)
    An optional description of the loan label. Typically used to store additional details or
an explanation about the label. Not displayed in any user interfaces.

  - `data.name` (string)
    The name of the label. This is the name that will appear in the agent (and admin, if applicable) portals.

